Katello - Bug #6591

incorrect "forward" and "back" icons in date-picker on Content -> Sync Plans -> New Sync Plan
page
07/11/2014 03:22 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1076364 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/441
7
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1076364
Description of problem:
Incorrect "forward" and "back" icons in date-picker on Content -> Sync Plans -> New Sync Plan page. See attached screenshot.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140313.0

How reproducible:
always

Steps to Reproduce:

1. Go to Content -> Sync Plans -> New Sync Plan

2. Click into "Start Date" input box, date-picker appears

3. Notice icons for moving date forward and back in upper right/left corner
of the date-picker

Actual results:
Some strange chars there.

In the logs | have noticed this which might be relevant:
Served asset /components/bootstrap/fonts/glyphicons-halflings-regular.woff - 404 Not Found (4ms)

ActionController::RoutingError (No route matches [GET] "/assets/components/bootstrap/fonts/glyphicons-halflings-regular.woff"):
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in
“accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in "'main_loop’
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in "block (3 levels) in start_threads'

Expected results:
Some arrows or something

Associated revisions

Revision 31386b70 - 07/16/2014 01:42 PM - Walden Raines
Fixes #6591/BZ1076364: include fonts that datepicker depends on.
Angular Ul's datepicker is dependent on some bootstrap 3 fonts

that we were not including. This commit includes these fonts
so the datepicker's arrows are displayed correctly.

http://projects.theforeman.org/issues/6591
https://bugzilla.redhat.com/show_bug.cgi?id=1076364
Revision 81d6337c - 07/16/2014 01:42 PM - Walden Raines

Fixes #6591/BZ1076364: include fonts that datepicker depends on.

Angular Ul's datepicker is dependent on some bootstrap 3 fonts
that we were not including. This commit includes these fonts
so the datepicker's arrows are displayed correctly.

http://projects.theforeman.org/issues/6591
https://bugzilla.redhat.com/show_bug.cgi?id=1076364

Revision 9b7127d7 - 07/16/2014 04:23 PM - Walden Raines
Merge pull request #4417 from waldenraines/6591

Fixes #6591/BZ1076364: include fonts that datepicker depends on.

Revision 5f825655 - 07/16/2014 04:23 PM - Walden Raines
Merge pull request #4417 from waldenraines/6591

Fixes #6591/BZ1076364: include fonts that datepicker depends on.

History

#1 - 07/11/2014 03:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4417 added
- Pull request deleted ()

#2 - 07/14/2014 09:07 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/16/2014 05:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|31386b708b255e31e25139f84adbfcaeefeb007f.

#4 - 08/22/2014 09:02 AM - Eric Helms

- translation missing: en.field_release set to 13
